Subject: RE: [Sigtran] SCTP Heartbeat

From: Srinivas Murthy <[email-masked]>
Date: Fri, 19 Mar 2010 02:39:15 -0700 (PDT)

Hi Michael,
 
Thank you for the response,

As you said, and I also feel it makes more sense to send a Heartbeat for every idle path every HB.timeout+RTO+jitter. But in that case why is the RFC saying "Only one heartbeat should be sent" ? Is there any use case for this?

Regards,
Srinivas Murthy

-----Original Message-----
From: Michael Tüxen [mailto:[email-masked]] 
Sent: Friday, March 19, 2010 12:36 PM
To: Srinivas Murthy
Cc: [email-masked]
Subject: Re: [Sigtran] SCTP Heartbeat
 
On Mar 19, 2010, at 7:44 AM, Srinivas Murthy wrote:
 
> Hi,
>  
> I have a confusion in Section 8.3 of RFC 4960.
> As per the RFC it says,
>    “Only one
heartbeat should be sent each time the heartbeat timer
>    expires (if
multiple destinations are idle).  It is
an implementation
>    decision on
how to choose which of the candidate idle destinations
>    to
heartbeat to (if more than one destination is idle).”
>  
> Does that mean if we have an association with say 2
destination addresses and both are idle, we have to send heartbeat to only one
of them per heartbeat interval? and as the selection is implementation decision
we can choose any one of them to send heartbeat to.
> In this case if my implementation always chooses the
same destination address then how will we know about the health of the other
destination address?
Hi Srinivas,
 
first of all: SCTP issues should be discussed on
[email-masked].
 
The intention of RFC 4960 is that all idle paths are
checked. So
always choosing the same idle path is a bad
implementation decision.
 
I'm also wondering if it really is a good choice to send
a HB every
HB.timeout+RTO+jitter. It make much more sense to do this
for
every idle path every HB.timeout+RTO+jitter.
 
Best regards
Michael
>  
> Regards,
> Srinivas Murthy
>  
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran